| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Image
Image.Layer

# Method Image.Layer()->crop()

Method crop

  `object crop(int xoff, int yoff, int xsize, int ysize)`

Description

  Crops this layer at this offset and size. Offset is not relative the layer offset, so this can be used to crop a number of layers simuntaneously.

  The fill values are used if the layer is enlarged.

Returns

  a new layer object

Note

  The new layer object may have the same image object, if there was no cropping to be done.